## org.eclipse.ocl.expressions
Interface Variable<C,PM>

All Superinterfaces:
  ASTNode, EObject, Notifier, TypedASTNode, TypedElement<C>, Visitable

All Known Subinterfaces:
  Variable, Variable

All Known Implementing Classes:
  VariableImpl, VariableImpl, VariableImpl

    public interface Variable<C,PM>

extends TypedElement<C>, Visitable, TypedASTNode

A representation of the model object 'Variable'.

The following features are supported:

- `Init Expression`
- `Represented Parameter`

See Also:
  `ExpressionsPackage.getVariable()`

Method Summary
`boolean` `checkInitType(DiagnosticChain diagnostics, Map<Object,Object> context)` initExpression->notEmpty() implies initExpression.type.conformsTo (type)
`OCLExpression<C>` `getInitExpression()` Returns the value of the 'Init Expression' containment reference
`PM` `getRepresentedParameter()` Returns the value of the 'Represented Parameter' reference
`void` `setInitExpression(OCLExpression<C> value)` Sets the value of the '`Init Expression`' containment reference
`void` `setRepresentedParameter(PM value)` Sets the value of the '`Represented Parameter`' reference

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.ocl.utilities.TypedASTNode
`getTypeEndPosition, getTypeStartPosition, setTypeEndPosition, setTypeStartPosition`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Method Detail

### getInitExpression

    OCLExpression<C> getInitExpression()

  Returns the value of the 'Init Expression' containment reference.

  If the meaning of the 'Init Expression' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Init Expression' containment reference.
  See Also:
    `setInitExpression(OCLExpression)`, `ExpressionsPackage.getVariable_InitExpression()`

### setInitExpression

    void setInitExpression(OCLExpression<C> value)

  Sets the value of the '`Init Expression`' containment reference.

  Parameters:
    `value` - the new value of the 'Init Expression' containment reference.
  See Also:
    `getInitExpression()`

### getRepresentedParameter

    PM getRepresentedParameter()

  Returns the value of the 'Represented Parameter' reference.

  If the meaning of the 'Represented Parameter' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Represented Parameter' reference.
  See Also:
    `setRepresentedParameter(Object)`, `ExpressionsPackage.getVariable_RepresentedParameter()`

### setRepresentedParameter

    void setRepresentedParameter(PM value)

  Sets the value of the '`Represented Parameter`' reference.

  Parameters:
    `value` - the new value of the 'Represented Parameter' reference.
  See Also:
    `getRepresentedParameter()`

### checkInitType

    boolean checkInitType(DiagnosticChain diagnostics,
                          Map<Object,Object> context)

  initExpression->notEmpty() implies initExpression.type.conformsTo (type)

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.